/*
Theme Name: Neuralapps
Theme URI: https://neuralapps.ai/
Description: A custom child theme for the Ainus theme.
Author: Bluebell (Nick Melas)
Author URI: https://www.bluebell.gr/
Template: ainus
Version: 1.0.0
Text Domain: neuralapps
*/

.elementor-element-abce2ce { backdrop-filter: blur(16px); }
header .pxl-menu-primary .sub-menu, header .pxl-menu-primary .children { background: #001224CC; border: 1px solid #344256; border-radius: 1em; }
header .pxl-navigation-menu-wrapper .pxl-menu-primary.menu-default > li > a,
header #pxl-header-default .pxl-menu-primary.menu-default > li > a { font-weight: normal; }
.elementor-kit-160 a .pxl-button-text,
.elementor-kit-160 a i { color: var( --e-global-color-0575d88 ); }
.elementor-kit-160 a.pxl-button-secondary .pxl-button-text,.elementor-kit-160 a.pxl-button-secondary i { color: var( --e-global-color-accent ); }
.elementor-kit-160 .pxl-navigation-menu-wrapper .pxl-menu-primary,
.elementor-kit-160 #pxl-header-default .pxl-menu-primary { margin: 0; }
#menu-item-1052 { padding-left: 12vw;  }
#menu-item-1052 a { color: var( --e-global-color-0575d88 ); background-color: var( --e-global-color-accent ); background-image: linear-gradient(135deg, rgb(0, 212, 255), rgb(128, 238, 255)); border-radius: 0.5em; padding: 0.75em; display: inline-flex; align-items: center; justify-content: center; font-weight: 600; }

body.elementor-kit-160 h1,
h1,
.elementor-widget-heading h1.elementor-heading-title[class*=elementor-size-]>a {
color: transparent;
    stroke-width: 2px;
    stroke: var(--color-primary);
    -webkit-text-stroke-width: 2px;
	-webkit-text-stroke-color: var(--color-primary); }

h1, h2, h3, h4, h5 { line-height: 1.2em; margin-bottom: 0.5em; }
h2 { max-width: 800px; margin-left: auto; margin-right: auto; justify-self: center; }
h3.wp-block-heading { margin: 2em 0 1em 0; }
.elementor-widget-text-editor em { font-style: normal; font-weight: bold; color: var(--e-global-color-accent); }
.larger { font-size: 1.1em; color: #ffffff; }

.elementor-grid-0 .elementor-social-icons-wrapper.elementor-grid .elementor-grid-item { margin-right: 0.75em; font-size: 1rem; }

.elementor-widget-container blockquote:not(.pxl-blockquote) {
    padding: 1.5rem;
    font-size: 1.125em;
    font-family: var( --e-global-typography-text-font-family ), sans-serif;
    color: #ffffff;
    margin: 2em 0 1em;
    background-color: #00d4ff0d;
    border-left: 5px solid #00d4ff;
    border-right: none;
    border-radius: 0; }

.elementor-widget-container blockquote:not(.pxl-blockquote).wp-block-quote p { margin: 0 !important; }

.elementor-button,
.pxl-button-primary.button,
button.pxl-button-primary,
.pxl-button-primary.button:hover,
button.pxl-button-primary:hover  { background-color: var( --e-global-color-accent ); background-image: linear-gradient(135deg, rgb(0, 212, 255), rgb(128, 238, 255)); color: var( --e-global-color-2111726 ); min-width: 16rem; }
.button:hover, button:hover { box-shadow: 0 0 30px -10px var(--color-primary); background-image: linear-gradient(135deg, rgb(0, 212, 255), rgb(128, 238, 255)); border-color: rgb(52, 66, 86); }

.button.pxl-button-secondary, button.pxl-button-secondary { height: 54px;
    border-radius: 10px;
    min-width: 16rem; 
    padding-inline: 30px;
    font-weight: 600;
    text-transform: capitalize;
    overflow: clip; border: 2px solid  var(--color-primary); color:  var(--color-primary); }

.button.pxl-button-secondary:hover, button.pxl-button-secondary:hover { background-image: none; }

.hoverUp .elementor-element.e-child:hover { transform: translateY(-1em); transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1); }

#pxl-main .inner .pxl-content-area { margin: 0 auto; }
.pxl-single-post { margin-bottom: 4em; }

.elementor-widget .elementor-widget-icon-list .elementor-icon-list-item { padding: 1.5rem; background-image: linear-gradient(145deg, rgb(17, 24, 39), rgb(52, 66, 86)); border: 1px solid rgb(52, 66, 86); border-radius: 0.75rem; margin-bottom: 1em; transition: 0.5s cubic-bezier(.4,0,.2,1); }
.elementor-widget .elementor-widget-icon-list .elementor-icon-list-item:hover { border-color: #00d4ff4d; }
.elementor-widget .elementor-widget.elementor-widget-icon-list .elementor-icon-list-icon svg { margin: 0; width: 1.25rem; height: 1.25rem; color: #00d4ff; }
.elementor-widget.elementor-widget-icon-list .elementor-icon-list-icon { background: #00d4ff1a; border-radius: 50%; width: 2rem; height: 2rem; margin-right: 1em; display: inline-flex; align-items: center; justify-content: center; }
.elementor-widget .elementor-icon-list-icon+.elementor-icon-list-text { flex: 1; }

body[data-elementor-device-mode=desktop] .postInfo.elementor-widget ul.elementor-icon-list-items { display: flex; align-items: center; }
.postInfo.elementor-widget .elementor-icon-list-item:after { content: '•';  margin: 0 0.5em; position: relative; width: auto; }
.postInfo.elementor-widget ul.elementor-icon-list-items .elementor-icon-list-item:last-child:after { display: none; }
.postInfo.elementor-widget-twbbpost-info .elementor-icon-list-text a { color: #00d4ff; background: #00d4ff1a; border-radius: .25rem; padding: .25rem; display: inline-block; }
.postInfo.elementor-widget-twbbpost-info .elementor-icon-list-icon svg { fill: none; }
.elementor-1058 .elementor-element.elementor-element-1e4d2f7.elementor-view-default .elementor-icon svg { color: #94a3b8; }
.elementor-1199 .elementor-element.elementor-element-a8ceb99 .elementor-field-group:not(.elementor-field-type-upload,
.elementor-field-type-custom_button) .elementor-field:not(.elementor-select-wrapper) { padding: 1em; }
.elementor-element-28715509 .button .pxl-button-icon svg { color: #001224; }
.elementor-element-8b51196 button:hover .pxl-button-icon, .elementor-element-8b51196 .button:hover .pxl-button-icon { margin-left: 0; margin-right: 0.5em; }
.elementor-posts .elementor-post .elementor-post__card .elementor-post__read-more { display: inline-flex; align-items: center; }
.elementor-widget-tenweb-posts .elementor-post .elementor-post__read-more svg { fill: none; color: var( --e-global-color-accent ); }

.contactForm .wpcf7 form { display: block;  }
.rowWrapper { display: flex; gap: 2em; }

.greyGradient.elementor-element { background-image: linear-gradient(145deg, rgb(17, 24, 39), rgb(52, 66, 86));
    border: 1px solid rgb(52, 66, 86);
    border-radius: 0.75rem; }
.elementor-kit-160 .contactForm input:not([type="button"]):not([type="submit"]),
.elementor-kit-160 .contactForm textarea,
.elementor-kit-160 .contactForm .elementor-field-textual { padding-left: 1em; }
.elementor-element.elementor-widget-icon.elementor-view-default .elementor-icon svg { fill: none; color: var( --e-global-color-accent ); }

.elementor-kit-160 .contactForm input:not([type="button"]):not([type="submit"]),
.contactForm input[type="text"],
.contactForm input[type="email"],
.contactForm input[type="url"],
.contactForm input[type="password"],
.contactForm input[type="search"],
.contactForm input[type="tel"],
.contactForm input[type="number"],
.contactForm input[type="range"],
.contactForm input[type="date"],
.contactForm input[type="month"],
.contactForm input[type="week"],
.contactForm input[type="time"],
.contactForm input[type="datetime"],
.contactForm input[type="datetime-local"],
.contactForm input[type="color"],
.contactForm .pxl-select-higthlight,
.contactForm .nice-select { background: #001224; color: #ffffff; border: 1px solid #2b323b; border-radius: 0.5em; height: 2.5rem; }
.contactForm textarea,
.contactForm select,
.elementor-kit-160 .contactForm .elementor-field-textual { background: #001224; color: #ffffff; border: 1px solid #2b323b; border-radius: 0.5em;  }


.elementor-kit-160 .contactForm input:focus:not([type="button"]):not([type="submit"]),
.elementor-kit-160 .contactForm .elementor-field-textual:focus,
.contactForm input[type="text"]:focus,
.contactForm input[type="email"]:focus,
.contactForm input[type="url"]:focus,
.contactForm input[type="password"]:focus,
.contactForm input[type="search"]:focus,
.contactForm input[type="tel"]:focus,
.contactForm input[type="number"]:focus,
.contactForm input[type="range"]:focus,
.contactForm input[type="date"]:focus,
.contactForm input[type="month"]:focus,
.contactForm input[type="week"]:focus,
.contactForm input[type="time"]:focus,
.contactForm input[type="datetime"]:focus,
.contactForm input[type="datetime-local"]:focus,
.contactForm input[type="color"]:focus,
.contactForm textarea:focus, select:focus,
.contactForm .pxl-select-higthlight:focus,
.contactForm .nice-select:focus,
.contactForm input[type="text"]:hover,
.contactForm input[type="email"]:hover,
.contactForm input[type="url"]:hover,
.contactForm input[type="password"]:hover,
.contactForm input[type="search"]:hover,
.contactForm input[type="tel"]:hover,
.contactForm input[type="number"]:hover,
.contactForm input[type="range"]:hover,
.contactForm input[type="date"]:hover,
.contactForm input[type="month"]:hover,
.contactForm input[type="week"]:hover,
.contactForm input[type="time"]:hover,
.contactForm input[type="datetime"]:hover,
.contactForm input[type="datetime-local"]:hover,
.contactForm input[type="color"]:hover,
.contactForm textarea:hover,
.contactForm select:hover,
.contactForm .pxl-select-higthlight:hover,
.contactForm .nice-select:hover {
  outline: 0;
  border-color: var(--e-global-color-accent);
  color: #ffffff;
}
textarea {
  height: 164px;
}
input[type="range"] {
  padding: 0;
  background-color: transparent;
  height: auto;
  border: none;
}
select {
  height: 60px;
  /* Select Style */
}

.contactForm .elementor-button { color: #001224; border-radius: 0.75em; }
.contactForm .elementor-button:hover { box-shadow: 0 0 30px -10px var(--color-primary); background-image: linear-gradient(135deg, rgb(0, 212, 255), rgb(128, 238, 255)); border-color: rgb(52, 66, 86); }

.squareCorners .elementor-heading-title { background-image: linear-gradient(135deg, rgb(248, 250, 252), rgb(0, 212, 255), rgb(128, 238, 255)); background-clip: text; color: transparent; display: inline-block; padding: 1em; position: relative; border-bottom: 2px solid var( --e-global-color-accent ); }
.squareCorners .elementor-heading-title:before,
.squareCorners .elementor-heading-title:after { content: ''; position: absolute; top: -0.5em; left: -1.5em; width: 2em; height: calc(100% + 1em); background: url(assets/images/corners.svg) no-repeat; background-size: 100% 100%; }
.squareCorners .elementor-heading-title:after { left: auto; right: -1.5em; transform: rotate(180deg); }

.counterBubble .elementor-icon,
.counterBubble .elementor-icon-list-item { position: relative; }
.counterBubble > .e-con-inner,
.counterBubble .elementor-icon-list-items { counter-reset: section; }
.counterBubble .elementor-icon:before,
.counterBubble .elementor-icon-list-item:before { counter-increment: section; content: counter(section); position: absolute; width: 1.5em; height: 1.5em; top: -0.4em; right: -0.4em; display: inline-flex; align-items: center; justify-content: center; background:  var( --e-global-color-accent ); color: black; font-size: 0.5em; border-radius: 50%; }
.counterBubble .elementor-icon-list-item:before { top: 50%; right: 1em; font-size: 1.2em; margin-top: -0.75em; }

.elementor-icon-wrapper svg { color: var( --e-global-color-accent ); }
.rainbowSliderWrapper { width: 100px; padding: 2px; position: relative; }
.rainbowSlider { background-image: linear-gradient(to right, rgb(248, 113, 113), rgb(250, 204, 21), rgb(74, 222, 128)); height: 4px; width: 96px; border-radius: 2em; }
.rainbowSliderCircle { position: absolute; top: 50%; left: 50%; margin: -8px auto auto -8px; width: 16px; height: 16px; border-radius: 50%; background-color: rgba(255, 255, 255, 0.2); border: 2px solid rgb(0, 212, 255); 

 &:before {
    content: '';
    position: relative;
    display: block;
    width: 300%;
    height: 300%;
    box-sizing: border-box;
    margin-left: -100%;
    margin-top: -100%;
    border-radius: 45px;
    background-color: #01a4e9;
    animation: pulse-ring 1.25s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
  }
  
  &:after {
    content: '';
    position: absolute;
    left: 0; 
    top: 0;
    display: block;
    width: 100%;
    height: 100%;
    background-color: white;
    border-radius: 15px;
    box-shadow: 0 0 8px rgba(0,0,0,.3);
    animation: pulse-dot 1.25s cubic-bezier(0.455, 0.03, 0.515, 0.955) -.4s infinite;
  }
}   


@keyframes pulse-ring {
  0% {
    transform: scale(.33);
  }
  80%, 100% {
    opacity: 0;
  }
}

@keyframes pulse-dot {
  0% {
    transform: scale(.8);
  }
  50% {
    transform: scale(1);
  }
  100% {
    transform: scale(.8);
  }
}